#include<iostream>
using namespace std;
int main(){
    string a,b,c,izlaz="";
    cin>>a>>b>>c;
    if(a>b && a>c){
        izlaz+=a;
        if(b>c){
            izlaz+=b+c;
        }else{
            izlaz+=c+b;
        }
    }else if(b>a && b>c){
        izlaz+=b;
        if(a>c){
            izlaz+=a+c;
        }else{
            izlaz+=c+a;
        }
    }else if(c>a && c>b){
        izlaz+=c;
        if(a>b){
            izlaz+=a+b;
        }else{
            izlaz+=b+a;
        }
    }
    
    cout<<izlaz;
    return 0;
}